<!DOCTYPE html>
<html>
	<head>
		<title>Science and Engineering Ethics (2001) 7, 231-238</title>
	</head>
	<body>
		<h1>Software Engineering Code of Ethics and Professional Practice</h1>
		<h2>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h2>
		<hr />
			<p><strong>Keywords: </strong>code of ethics, professional responsibility, software engineering</p>
		<h3>PREAMBLE</h3>
			<p>The short version of the code summarized aspirations at high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high sounding but empty; together, the aspirations and the details form a cohesive code.</p>
	</body>
</html>

